## com.sun.jersey.core.util
Class ThrowHelper

    java.lang.Object
      com.sun.jersey.core.util.ThrowHelper

    public class ThrowHelper

extends java.lang.Object

Help functionality when throwing exceptions.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`ThrowHelper()`

Method Summary

`static

`<T extends java.lang.Exception> T`

`

`withInitCause(java.lang.Exception cause, T effect)`
Set the cause of an exception.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThrowHelper

    public ThrowHelper()

Method Detail

### withInitCause

    public static <T extends java.lang.Exception> T withInitCause(java.lang.Exception cause,
                                                                  T effect)

  Set the cause of an exception.

  Type Parameters:
    `T` - the exception type.
  Parameters:
    `cause` - the cause.
    `effect` - the effect
  Returns:
    the effect.

Copyright © 2017 Oracle Corporation. All Rights Reserved.